# FdoEnvelopeImpl Class Reference

`#include <EnvelopeImpl.h>`

Inheritance diagram for FdoEnvelopeImpl:

[legend]

List of all members.

## Detailed Description

The FdoEnvelopeImpl class is a default implementation of FdoIEnvelope. FdoEnvelopeImpl implements accessors from FdoIEnvelope, matching mutators, and simple data members. Assignment, exact equality operators, and utility methods are also provided.

Definition at line 34 of file EnvelopeImpl.h.

## Public Member Functions
FDO_GEOM_API void | Expand (FdoIEnvelope *envelope)
| Expands the envelope's extents to include another envelope.
FDO_GEOM_API void | Expand (FdoIDirectPosition *position)
| Expands the envelope's extents to include a given position.
FDO_GEOM_API bool | GetIsEmpty () const
| Indicates whether the envelope's extents are set.
FDO_GEOM_API double | GetMaxX () const
| Gets the maximum X coordinate value.
FDO_GEOM_API double | GetMaxY () const
| Gets the maximum Y coordinate value.
FDO_GEOM_API double | GetMaxZ () const
| Gets the maximum Z coordinate value.
FDO_GEOM_API double | GetMinX () const
| Gets the minimum X coordinate value.
FDO_GEOM_API double | GetMinY () const
| Gets the minimum Y coordinate value.
FDO_GEOM_API double | GetMinZ () const
| Gets the minimum Z coordinate value.
virtual FDO_GEOM_API const double * | GetOrdinates ()
| Gets the ordinates as an array.
FDO_GEOM_API bool | operator== (FdoEnvelopeImpl &rhs) const
| Equality operator for FdoEnvelopeImpl.
FDO_GEOM_API void | SetMaxX (double maxX)
| Sets the maximum X coordinate value.
FDO_GEOM_API void | SetMaxY (double maxY)
| Sets the maximum Y coordinate value.
FDO_GEOM_API void | SetMaxZ (double maxZ)
| Sets the maximum Z coordinate value.
FDO_GEOM_API void | SetMinX (double minX)
| Sets the minimum X coordinate value.
FDO_GEOM_API void | SetMinY (double minY)
| Sets the minimum Y coordinate value.
FDO_GEOM_API void | SetMinZ (double minZ)
| Sets the minimum Z coordinate value.
## Static Public Member Functions
static FDO_GEOM_API FdoEnvelopeImpl * | Create (FdoInt32 dimensionType, double *ordinates)
| Constructs a FdoEnvelopeImpl object by copying from an array of ordinates.
static FDO_GEOM_API FdoEnvelopeImpl * | Create (FdoIDirectPosition *lowerLeft, FdoIDirectPosition *upperRight)
| Constructs a FdoEnvelopeImpl object from two positions.
static FDO_GEOM_API FdoEnvelopeImpl * | Create (FdoEnvelopeImpl &envelopeImpl)
| Constructs a copy of a FdoEnvelopeImpl.
static FDO_GEOM_API FdoEnvelopeImpl * | Create (double minX, double minY, double minZ, double maxX, double maxY, double maxZ)
| Constructs a 3D FdoEnvelopeImpl object from X, Y and Z ordinates.
static FDO_GEOM_API FdoEnvelopeImpl * | Create (double minX, double minY, double maxX, double maxY)
| Constructs a 2D FdoEnvelopeImpl object from X and Y ordinates.
static FDO_GEOM_API FdoEnvelopeImpl * | Create ()
| Constructs a default instance of a FdoEnvelopeImpl object.

The documentation for this class was generated from the following file:

- EnvelopeImpl.h